Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004019TestLinkAPI - XMLRPCpublic2010-11-15 08:412011-01-22 15:11
Reporterpablobitton 
Assigned Tofman 
PriorityhighSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 (Prague) 
Fixed in Version1.9.1 (bug fixing) 
Summary0004019: API - getTestCasesForTestPlan can't filter by platform name
Descriptionwhen using getTestCasesForTestPlan i can't filter by platform name

1. this function does not accept platform name to filter - nice feature to be
2. if I try to filter later I also cant, because if plan has 2 platforms and some test case also belongs to both this platforms, getTestCasesForTestPlan will return only 1 instance of this test case, probably because it is a dictionary and they have the same key
Steps To Reproduce1. create 1 project with 1 plan with 1 test case
2. create 2 platforms for this plan
3. add this single testcase to both platforms
4. use getTestCasesForTestPlan with plan parameter

5. you get only 1 instance of this test case
TagsNo tags attached.
Database (MySQL,Postgres,etc)mysql
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
related to 0004041closedfman API - getTestCasesForTestPlan() -Platform Information not provided 

-  Notes
(0012676)
fman (administrator)
2010-11-20 16:23

First thing to do -> change return data, to provide on output also Platform ID
If no platform defined ID will be set to 0 (ZERO)
(0012677)
fman (administrator)
2010-11-20 16:51

try with fix attached on related issue
(0012679)
pablobitton (reporter)
2010-11-21 08:26

the fix is fine, thanks a lot

What I am missing is to save the filter process after getting the function results

I would like function getTestCasesForTestPlan to accept new argument : platform-name and filter by platform name inside the function and save post-processing the function result to filter correct platform.

if argument is not given, the behavior is fine - return all the results
(0012680)
pablobitton (reporter)
2010-11-21 08:28

also how Can i get the same screenshots - xmlrpc debug client graphs ?

thanks a lot
(0012681)
fman (administrator)
2010-11-21 09:35

I use PHP sample clients.
If you change your custom config:


// Uncomment this if you want dBug() display info
define('DBUG_ON',1);

on PHP sample client you will get the info on screen
(0013386)
fman (administrator)
2011-01-22 15:11

1.9.1 Released

- Issue History
Date Modified Username Field Change
2010-11-15 08:41 pablobitton New Issue
2010-11-20 16:23 fman Note Added: 0012676
2010-11-20 16:25 fman Assigned To => fman
2010-11-20 16:25 fman Status new => assigned
2010-11-20 16:43 fman Issue cloned: 0004041
2010-11-20 16:43 fman Relationship added related to 0004041
2010-11-20 16:43 fman Summary getTestCasesForTestPlan can't filter by platform name => API - getTestCasesForTestPlan can't filter by platform name
2010-11-20 16:51 fman Note Added: 0012677
2010-11-20 16:51 fman Status assigned => feedback
2010-11-21 08:26 pablobitton Note Added: 0012679
2010-11-21 08:26 pablobitton Status feedback => assigned
2010-11-21 08:28 pablobitton Note Added: 0012680
2010-11-21 09:35 fman Note Added: 0012681
2010-12-19 16:16 fman Status assigned => resolved
2010-12-19 16:16 fman Fixed in Version => 1.9.1 (bug fixing)
2010-12-19 16:16 fman Resolution open => fixed
2011-01-22 15:11 fman Note Added: 0013386
2011-01-22 15:11 fman Status resolved => closed
2013-04-25 17:30 fman Category TL API => XMLRPC API
2013-04-25 17:30 fman Category XMLRPC API => API - XMLRPC



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker